#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: scientific
version: 0.3.3.0
id: scientific-0.3.3.0-6a449cd704d3545346905c1931ef316b

license: BSD3
copyright:
maintainer: Bas van Dijk <v.dijk.bas@gmail.com>
stability:
homepage: https://github.com/basvandijk/scientific
package-url:
synopsis: Numbers represented using scientific notation
description: @Data.Scientific@ provides a space efficient and arbitrary precision
             scientific number type.
             .
             '\''Scientific'\'' numbers are represented using
             <http://en.wikipedia.org/wiki/Scientific_notation scientific notation>. It
             uses a coefficient @c :: '\''Integer'\''@ and a base-10 exponent @e :: '\''Int'\''@ (do
             note that since we'\''re using an '\''Int'\'' to represent the exponent these numbers
             aren'\''t truly arbitrary precision). A scientific number corresponds to the
             '\''Fractional'\'' number: @'\''fromInteger'\'' c * 10 '\''^^'\'' e@.
             .
             The main application of '\''Scientific'\'' is to be used as the target of parsing
             arbitrary precision numbers coming from an untrusted source. The advantages
             over using '\''Rational'\'' for this are that:
             .
             * A '\''Scientific'\'' is more efficient to construct. Rational numbers need to be
             constructed using '\''%'\'' which has to compute the '\''gcd'\'' of the '\''numerator'\'' and
             '\''denominator'\''.
             .
             * '\''Scientific'\'' is safe against numbers with huge exponents. For example:
             @1e1000000000 :: '\''Rational'\''@ will fill up all space and crash your
             program. Scientific works as expected:
             .
             > > read "1e1000000000" :: Scientific
             > 1.0e1000000000
             .
             * Also, the space usage of converting scientific numbers with huge exponents to
             @'\''Integral'\''s@ (like: '\''Int'\'') or @'\''RealFloat'\''s@ (like: '\''Double'\'' or '\''Float'\'')
             will always be bounded by the target type.
category: Data
author: Bas van Dijk
exposed: True
exposed-modules: Data.Scientific Data.Text.Lazy.Builder.Scientific
                 Data.ByteString.Builder.Scientific
hidden-modules: Math.NumberTheory.Logarithms
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.8.3/scientific-0.3.3.0
library-dirs: /usr/local/lib/cabal/ghc-7.8.3/scientific-0.3.3.0
              /usr/local/lib
hs-libraries: HSscientific-0.3.3.0
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: array-0.5.0.0-98aa445e59f3eb0c886795ff07406d84
         base-4.7.0.1-812360bc88c9859b8259f0d90b6e2faa
         bytestring-0.10.4.0-2182937da706a7ad10a5093b31e299db
         deepseq-1.3.0.2-733fe43e121f761739636bd6670bea77
         ghc-prim-0.3.1.0-954cb57749cf319beafdc89b3415422c
         hashable-1.2.2.0-7cfb61f0c68a03cacd19199a33e9c118
         integer-gmp-0.5.1.0-d42e6a7874a019e6a0d1c7305ebc83c4
         text-1.1.0.0-ae5f08307fb9d06679d77b9fce515032
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.8.3/scientific-0.3.3.0/html/scientific.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.8.3/scientific-0.3.3.0/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
